Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066419 - augeas cannot parse default /etc/krb5.conf
Summary: augeas cannot parse default /etc/krb5.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: augeas
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Dominic Cleal
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1203597
TreeView+ depends on / blocked
 
Reported: 2014-02-18 11:06 UTC by Lingfei Kong
Modified: 2015-03-19 09:26 UTC (History)
8 users (show)

Fixed In Version: augeas-1.1.0-12.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 11:17:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
default krb5.conf (deleted)
2014-02-18 11:18 UTC, Dominic Cleal
no flags Details

Description Lingfei Kong 2014-02-18 11:06:06 UTC
Description of problem:
Augeas failed to read default /etc/krb5.conf

Version-Release number of selected component (if applicable): augeas-1.1.0-9.el7


How reproducible: 100%


Steps to Reproduce:
1. Install krb5-libs-1.11.3-46.el7
2. echo 'print /augeas//error' | augtool

Actual results:
/augeas/files/etc/krb5.conf/error = "parse_failed"
/augeas/files/etc/krb5.conf/error/pos = "272"
/augeas/files/etc/krb5.conf/error/line = "13"
/augeas/files/etc/krb5.conf/error/char = "0"
/augeas/files/etc/krb5.conf/error/lens = "/usr/share/augeas/lenses/dist/krb5.aug:152.10-154.66:"
/augeas/files/etc/krb5.conf/error/message = "Get did not match entire input"

Expected results:
no errors

Additional info:

Comment 1 Dominic Cleal 2014-02-18 11:17:51 UTC
Line 13 of the default file is within [libdefaults]:

default_ccache_name = KEYRING:persistent:%{uid}

Comment 2 Dominic Cleal 2014-02-18 11:18:35 UTC
Created attachment 864469 [details]
default krb5.conf

Comment 3 Dominic Cleal 2014-02-25 16:33:59 UTC
Fixed upstream in d9465ab.

Comment 5 Lingfei Kong 2014-02-26 02:05:03 UTC
Verify with augeas-1.1.0-12.el7

Steps to verify:
1. Install krb5-libs-1.11.3-46.el7
2. [host-a]#echo 'print /augeas//error' | augtool

No output, bug is fixed.

Comment 6 Ludek Smid 2014-06-13 11:17:00 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.